# Create a section

Creates a section in the matching Brandfolder.

Endpoint: POST /brandfolders/{brandfolder_id}/sections
Version: v4
Security: APIToken

## Path parameters:

  - `brandfolder_id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgiju-21olts-ce9egi"

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

  - `Accept` (string, required)
    Enum: "application/json"

  - `Authorization` (string, required)
    Bearer token for authentication

## Request fields (application/json):

  - `data` (object, required)

  - `data.attributes` (object, required)

  - `data.attributes.name` (string, required)
    A name.
    Example: "My section"

  - `data.attributes.default_asset_type` (string, required)
    Set this to the type of asset to put in the section.

IMPORTANT: If you're using the API to add assets to the
section, we strongly recommend setting this to
GenericFile.
    Enum: "GenericFile", "Color", "Font", "ExternalMedium", "Person", "Press", "Text"

  - `data.attributes.position` (integer)
    Set this to a non-negative integer that represents where to
display the section relative to other sections. The first
position is 0. The new position defaults to the next
available position.

## Response 200 fields (application/json):

  - `data` (object, required)

  - `data.id` (string, required)
    Unique identifier for the resource instance.
    Example: "oqgkkd-fr5iv4-hh142d"

  - `data.type` (string, required)
    The type of the resource.
    Enum: "sections"

  - `data.attributes` (object, required)

  - `data.attributes.name` (string)
    The name of the section.
    Example: "My section"

  - `data.attributes.default_asset_type` (string)
    The type of asset the section contains.
    Enum: "GenericFile", "Color", "Font", "ExternalMedium", "Person", "Press", "Text"

  - `data.attributes.position` (integer)
    A non-negative integer that represents where the section displays relative to other sections. The first position is 0.


